# Помощь по установке

Настройка FairEmail довольно проста. Вам нужно добавить хотя бы одну учётную запись для получения электронной почты и хотя бы один идентификатор, если вы хотите отправлять письма. Быстрая настройка сразу добавит учётную запись и идентификатор для большинства основных провайдеров.

## Требования

Для настройки учётных записей и идентификаторов требуется подключение к интернету.

## Быстрая настройка

Просто введите имя, адрес электронной почты и пароль и нажмите *Перейти*.

Это сработает для большинства основных провайдеров электронной почты.

Если быстрая настройка не работает, вам нужно будет настроить учётную запись и идентификатор другим способом, см. инструкции ниже.

## Настройка учётной записи - для получения электронной почты

Чтобы добавить учётную запись, нажмите *Управление учётными записями* и нажмите на оранжевую кнопку *добавить* внизу. Выберите провайдера из списка, введите имя пользователя (в большинстве случаев это ваш адрес электронной почты) и пароль. Нажмите *Проверить*, чтобы FairEmail подключился к почтовому серверу и получил список системных папок. После просмотра списка системных папок можно добавить учётную запись, нажав *Сохранить*.

Если ваш провайдер не входит в список провайдеров, выберите *Пользовательский*. Введите имя домена, например, *gmail.com* и нажмите *Получить настройки*. Если ваш провайдер поддерживает [автонастройку](https://tools.ietf.org/html/rfc6186), FairEmail заполнит имя хоста и номер порта, иначе прочтите инструкции по настройке вашего провайдера для правильного указания имени хоста IMAP, номера порта и протокола (SSL/TLS или STARTTLS). Подробнее об этом смотрите [здесь](https://github.com/M66B/FairEmail/blob/master/FAQ.md#authorizing-accounts).

## Настройка идентификатора - чтобы отправлять почту

Аналогичным образом, чтобы добавить идентификатор, нажмите *Управление идентификаторами* и нажмите на оранжевую кнопку *добавить* внизу. Введите имя, которое вы хотите вставлять в поле адреса "От:" отправляемых вами писем и выберите связанную учётную запись. Нажмите *Сохранить* для добавления идентификатора.

Если учётная запись была настроена вручную, вам, вероятно, также нужно настроить идентификатор вручную. Введите имя домена, например, *gmail.com* и нажмите *Получить настройки*. Если ваш провайдер поддерживает [автонастройку](https://tools.ietf.org/html/rfc6186), FairEmail заполнит имя хоста и номер порта, иначе прочтите инструкции по настройке вашего провайдера для правильного указания имени хоста SMTP, номера порта и протокола (SSL/TLS или STARTTLS).

Смотрите [этот FAQ](https://github.com/M66B/FairEmail/blob/master/FAQ.md#FAQ9) об использовании псевдонимов.

## Предоставление разрешений - доступ к контактной информации

Если вы хотите находить адреса электронной почты, видеть фотографии контактов, и т. д., вам нужно предоставить FairEmail разрешение на чтение контактов. Просто нажмите *Предоставить разрешения* и выберите *Разрешить*.

## Настройка оптимизации батареи - для непрерывного получения электронной почты

Android последних версий будет помещать приложения в спящий режим, когда экран выключен в течение некоторого времени, чтобы уменьшить потребление батареи. Если вы хотите получать новые письма без задержек, то вам следует отключить оптимизацию батареи для FairEmail. Нажмите *Отключить оптимизацию батареи* и следуйте инструкциям.

## Вопросы или проблемы

Если у вас возникли вопросы или проблемы, пожалуйста, [посмотрите здесь](https://github.com/M66B/FairEmail/blob/master/FAQ.md) для получения помощи.